diff mini-native.sh @ 484:4b0507445452

Hook up c++ to distcc.
author Rob Landley <rob@landley.net>
date Fri, 14 Nov 2008 16:01:24 -0600
parents 3e9d715e4a11
children b0438691e9e1
line wrap: on
line diff
--- a/mini-native.sh	Fri Nov 14 14:06:07 2008 -0600
+++ b/mini-native.sh	Fri Nov 14 16:01:24 2008 -0600
@@ -261,9 +261,12 @@
 ./configure --host="${ARCH}" --prefix="${TOOLS}" --with-included-popt &&
 make -j $CPUS &&
 make -j $CPUS install &&
-mkdir -p "${TOOLS}/distcc" &&
-ln -s ../bin/distcc "${TOOLS}/distcc/gcc" &&
-ln -s ../bin/distcc "${TOOLS}/distcc/cc"
+mkdir -p "${TOOLS}/distcc" || dienow
+
+for i in gcc cc g++ c++
+do
+  ln -s ../bin/distcc "${TOOLS}/distcc/$i" || dienow
+done
 cd ..
 
 cleanup distcc